2 Ways to Fix Application is damaged, and can’t be used to install macOS

Guys, you may see the error message This Copy of the install macOS Application is damaged, and can’t be used to install macOS” while you are trying to install or upgrade macOS on your MacBook, Mac Mini or iMac.

This error may appear on macOS Sierra, High Sierra and Mojave which prevents you of installation.

You may see this message on different macOS as:

This Copy of the install macOS Sierra Application is damaged, and can’t be used to install macOS

This Copy of the install macOS Mojave Application is damaged, and can’t be used to install macOS

This Copy of the install macOS Catalina Application is damaged, and can’t be used to install macOS

Why it happens?

The reason behind the message is because you have and use an older version of macOS and the installation certificate has expired for the operating system you are trying to install. 

The good News!

This is not some thing to worry about, this article will help you to fix this issue in just few minutes.

How You Can fix “Application is damaged, and can’t be used to install macOS”

Basically, there are two main solutions for this error. Either you have to “change the date of your mac to an earlier date or download the latest version of the macOS“.

For the 98% of cases changing the date will solve your problem, and downloading the the latest version of macOS would be your last option.

To know how these two methods is done to solve the error keep reading the article. 

Related: Download macOS Catallina dmg File With Direct Link

First Method: Change the Date via Terminal

This is a pretty simple method and does not require any special knowledge to use mac terminal. Just take your coffee and follow the three essential steps you read here. 

Step #1: Open the macOS Utilities Window and choose the Terminal, as shown below.

macOS Utilities

Step #2: On the terminal window type “Date” and press enter. You may see the current date. Now what you have to do is change the current date to an earlier (past) date.

To do so, type on the terminal window [ Date 010101012017 ] for macOS Sierra, High Sierra and Mojave, then press enter. See the image below.

For Yosemite and El Capitan type [ date 010101012015 ]

Remember to use no brackets or parenthesis on terminal windows.

Step #3: Now, exit the terminal and utilities and try reinstalling the macOS. 

Change Date on Terminal

Read Also: Create macOS Catalina Bootable USB Installer on Windows PC?

Second Method: Download the Latest Version of macOS

In this method all you have to do is download the latest version of macOS from App Store you intend to install.

By downloading the latest version of macOS Apple will provide the installation certificate that is not expired. 

Now, after the download is completed procced for reinstalling the macOS.

However, sometimes although you have the latest version of operating system (macOS), again you may see the error. In this situation all you have to update the date to present.  

Read Also: Install MacOS On Windows 10 On Virtual Machine 

Conclusion: 

Guys, the error “This Copy of the install macOS Application is damaged, and can’t be used to install macOS” due to an expired installation certificate.

To solve this error all you need to change the “date” of your mac system to an earlier date on the terminal or “download the latest version of the macOS” you want to be installed.  

After taking either of these essential steps try reinstalling the macOS. 

I hope this article solved your problem.

Leave a comment if this article solved your problem.

No Responses

Leave a Reply